Name:My Own Biome (Demo)
 
Version:1.4.4.3
 
Publisher:Let Me Think!
 
The following prerequisites are required:
 
  • Windows Installer 3.1
  • .NET Framework 3.5 SP1
  • Microsoft XNA Framework Redistributable 3.1
 
Install
 
Let Me Think! Customer Support    ::    ClickOnce and .NET Framework Resources